Table of Contents

Class: FileWrapper | Twisted-0.17.4/twisted/protocols/protocol.py
--- | ---

A wrapper around a file-like object to make it behave as a Transport.

Base Classes |
--- | ---
Transport

Methods |
--- | ---
__init__ getHost getPeer handleException loseConnection write
| __init__

    __init__ ( self,  file )

| getHost

    getHost ( self )

| getPeer

    getPeer ( self )

| handleException

    handleException ( self )

| loseConnection

    loseConnection ( self )

| write

    write ( self,  data )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0